## unity 7.5.0+18.04.20190304-0ubuntu1+9.0trisquel3

=== debian/changelog ===
unity (7.5.0+18.04.20190304-0ubuntu1+9.0trisquel3) etiona; urgency=medium

  * Replace default applications in launcher, and adapt for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 17:54:25 +0000

unity (7.5.0+18.04.20190304-0ubuntu1) bionic; urgency=medium

  * lockscreen: cancel authentication if externally unlocked (LP:
    #1733557)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 04 Mar 2019 11:03:45 +0000

unity (7.5.0+18.04.20180413-0ubuntu1) bionic; urgency=medium

  * unity_migrate_gnome_favorites: add evolution and gnome-tweaks

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 13 Apr 2018 21:33:45 +0000

unity (7.5.0+18.04.20180409-0ubuntu1) bionic; urgency=medium

  * unity.migrations: add migration script to rename GNOME desktop files

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Apr 2018 20:23:54 +0000

unity (7.5.0+18.04.20180404-0ubuntu2) bionic; urgency=medium

  * Add "X-Ubuntu-Use-Langpack: yes" to debian/control now that this package is
    in Universe (LP: #1760435).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Apr 2018 11:37:31 -0500

unity (7.5.0+18.04.20180321-0ubuntu1) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Fix memory leak in UserAuthenticatorPam::AuthenticateStart and add
    some debug messages.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Mar 2018 14:56:58 +0000

unity (7.5.0+18.04.20180221.1-0ubuntu1) bionic; urgency=medium

  * Unity use track_obj to safely connect to UScreen and Settings
    signals (LP: #1748330) (LP: #1748330)
  * CairoBaseWindow: don't try to compute the blur of an invalid texture
    (LP: #1290056)
  * Unity: use new definition of infinite CompRegion's (LP: #1749957)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Feb 2018 15:27:45 +0000

unity (7.5.0+18.04.20171116-0ubuntu1) bionic; urgency=medium

  * tools: add migration script to set the default values for unity-
    lowgfx profile

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 03:24:50 +0000

unity (7.5.0+17.10.20171010-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Avoid to show multiple "Authentication Failure" messages.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 10 Oct 2017 16:19:48 +0000

unity (7.5.0+17.10.20171004-0ubuntu1) artful; urgency=medium

  * UnitySettings: use the ubuntu-schemas path for scaling settings (LP:
    #1721082)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 04 Oct 2017 18:50:43 +0000

unity (7.5.0+17.10.20170925.1-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Fix build issues with gcc-7 and g++-7
  * Refactor the way UserAuthenticator is created and passed around.
    Handle failures to create new threads and fallback to a "Switch to
    greeter..." button in case of failure. (LP: #1311316)
  * Wait until the color buffer is cleared before suspending. (LP:
    #1532508)

  [ Marco Trevisan (Treviño) ]
  * Tests: split unit tests in single binaries, enable unstable tests
  * debian/rules: ignore warnings in armhf and ppc64el

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 25 Sep 2017 16:05:06 +0000

unity (7.5.0+17.10.20170721.1-0ubuntu1) artful; urgency=medium

  * GLibSignal: allow to block, unblock signals
  * UnitySettings: use glib::Signal blocking for ignoring setting
    changes
  * UnitySettings: listen to compiz profile status in order to set
    low_gfx value
  * Launcher: disable or reduce most icon effects on lowgfx (LP:
    #1700859)
  * PanelController: ensure we disconnect from signals on destruction
    (LP: #1504870)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 21 Jul 2017 08:53:17 +0000

unity (7.5.0+17.10.20170707-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Lockscreen: always draw the background-color in the lockscreen (LP:
    #1702701)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 07 Jul 2017 01:03:47 +0000

unity (7.5.0+17.10.20170703.1-0ubuntu1) artful; urgency=medium

  * BGHash, UnityScreen: get desktop averageColor from compiz

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 03 Jul 2017 15:39:06 +0000

unity (7.5.0+17.10.20170619-0ubuntu1) artful; urgency=medium

  * Rename ubuntu-session systemd target to unity-session to inline with
    new session name:
    - modify data/unity7.service.in and debian/unity.links to reflect new
      systemd target.
    - Breaks against older version of ubuntu-session, now that unity-session
      provides that new systemd target name.
  * Recommends unity-session, as ubuntu-session can't be a transitional package
    (it will be the Gnome Shell default ubuntu session), this is how we install
    that new session package again.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 19 Jun 2017 10:50:58 +0200

unity (7.5.0+17.10.20170609-0ubuntu1) artful; urgency=medium

  * Use g_mkdir_with_parents instead of mkdir.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 09 Jun 2017 09:55:59 +0000

unity (7.5.0+17.10.20170601-0ubuntu1) artful; urgency=medium

  [ Iain Lane ]
  * Drop the default amazon launcher - we're moving to an alternative
    implementation in GNOME Shell.

 -- iain@orangesquash.org.uk <iain@orangesquash.org.uk>  Thu, 01 Jun 2017 19:15:28 +0000

unity (7.5.0+17.10.20170425.1-0ubuntu1) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop libupstart-dev dependency, and simply include verbantim dbus
    object paths.
  * Do not use upstart-dbus.h in compiz_config_profile_setter either.

  [ Eleni Maria Stea ]
  * removes lowgfx option from ccsm, reads the "lowgfx" gsetting
    (lp:~hikiko/unity-control-center/unity-control-center.lowgfx) (LP:
    #1668950)

  [ Marco Trevisan (Treviño) ]
  * Panel: ensure the menu-manager tracker is updated to match monitor
    (LP: #1671432)
  * compiz-profile-setter: tool to update the current profile and use in
    systemd and Unity settings (LP: #1668950)

  [ Nick Dedekind ]
  * Fixed tooltip scaling issues. (LP: #1673950)



=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               compiz-dev (>= 1:0.9.13.1+18.04.20180221),
               debhelper (>= 9.0.0~),
               dbus-test-runner,
               dbus-x11,
               dh-migrations,
               dh-translations (>= 94),
               dh-python,
               google-mock (>= 1.6.0+svn437),
               gsettings-desktop-schemas-dev,
               gsettings-ubuntu-schemas (>= 0.0.7+17.10.20170922),
               intltool (>= 0.35.0),
               libappstream-glib-dev,
               libatk1.0-dev,
               libbamf3-dev (>= 0.5.3~bzr0),
               libboost-dev,
               libcairo2-dev,
               libcompizconfig0-dev,
               libdbus-1-dev,
               libdbusmenu-glib-dev (>= 0.3.91),
               libdee-dev (>= 1.2.6),
               libgeis-dev (>= 2.0.10),
               libgl1-mesa-dri,
               libglib2.0-dev (>= 2.39.1),
               libgnome-desktop-3-dev,
               libgtest-dev,
               libgtk-3-dev (>= 3.1),
               libido3-0.1-dev (>= 13.10.0),
               libindicator-dev (>= 0.12.2),
               libindicator3-dev (>= 0.12.2),
               libjson-glib-dev,
               libjson-perl,
               libnotify-dev,
               libnux-4.0-dev (>= 4.0.6),
               libpam0g-dev,
               libpango1.0-dev,
               libsigc++-2.0-dev (>= 2.4.0),
               libstartup-notification0-dev,
               libunique-dev,
               libunity-dev (>= 7.1.0),
               libunity-misc-dev (>= 4.0.4),
               libxcb-icccm4-dev,
               libxfixes-dev (>= 1:5.0.1),
               libxi-dev (>= 2:1.7.1.901),
               libxpathselect-dev (>=1.4),
               libxtst-dev,
               libzeitgeist-2.0-dev,
               pkg-config,
               python (>= 2.7),
               python3 (>= 3.4),
               python-setuptools,
               quilt,
               systemd,
               xserver-xorg-video-dummy,
               xsltproc,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/unity
# If you aren't a member of ~unity-team but need to upload packaging changes,
# just go ahead.  ~unity-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~unity-team/unity/trunk
X-Ubuntu-Use-Langpack: yes

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         compiz,
         compiz-core, compiz-core-abiversion-${coreabiversion},
         libnux-abiversion-${nuxabiversion},
         compiz-plugins-default,
         gsettings-ubuntu-schemas (>= 0.0.7+17.10.20170922),
         libglib2.0-bin,
         nux-tools,
         python3-gi,
         dconf-cli,
         unity-asset-pool (>= 0.8.18),
         unity-greeter,
         bamfdaemon,
         libxfixes3 (>= 1:5.0.1-1),
         libxi6 (>= 2:1.7.1.901),
	 unity-scope-home,
Recommends: unity-control-center,
            ${unity-default-masterscopes}
            nautilus,
            gnome-disk-utility,
            hud,
            session-shortcuts,
            unity-session,
Breaks: unity-lens-applications (<< 5.12.0-0ubuntu2),
        unity-lens-files (<< 5.10.0-0ubuntu2),
        unity-lens-music (<< 6.0.0),
        unity-lens-video (<< 0.3.6-0ubuntu2),
        ubuntu-session (<< 3.24.1-0ubuntu3~),
Description: Interface designed for efficiency of space and interaction.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.

Package: unity-services
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         indicator-common,
Provides: indicator-renderer
Recommends: indicator-appmenu (>= 15.02.0),
            indicator-application,
            indicator-sound,
            indicator-bluetooth,
            indicator-datetime,
            indicator-keyboard,
            indicator-messages,
            indicator-printers,
            indicator-power,
            indicator-session,
Description: Services for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains the D-Bus service used for unity.

Package: unity-schemas
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Replaces: libunity-core-6.0-9 (<< 7.3.0),
Breaks: libunity-core-6.0-9 (<< 7.3.0),
Description: Interface designed for efficiency of space and interaction.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains the configuration schemas used by unity.

Package: libunity-core-6.0-9
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-services (= ${binary:Version}),
         unity-schemas (= ${binary:Version}),
Conflicts: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Replaces: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Provides: unity-common, unity-common-7.0
Description: core library for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains shared libraries to be used by unity-3d.

Package: libunity-core-6.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         libglib2.0-dev,
         libsigc++-2.0-dev,
         libnux-4.0-dev (>= 4.0.5),
         libunity-dev (>= 7.1.0~),
         libdee-dev,
Description: Core library for the Unity interface - development files
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains development files for libraries to be used by unity.

Package: unity-autopilot
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         autopilot-desktop-legacy,
         python-windowmocker,
         gir1.2-appindicator3-0.1,
         gir1.2-dee-1.0,
         gir1.2-glib-2.0,
         gir1.2-ibus-1.0,
         gir1.2-unity-5.0,
         python-compizconfig,
         python-dbus,
         python-testtools,
         python-xdg,
         python-xlib,
         libxpathselect1.4v5 (>= 1.4),
         mesa-utils,
Description: Autopiloted tests for Unity
 Unity is tested automatically through autopilot, a framework which enables
 keyboard and mouse events to be triggered on the fly as well as object
 introspection.  This package contains the specific unity introspection
 bindings to be able to write tests in python as well as the full test suite
 for Unity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
gles2_architectures := armel armhf
ignore_warnings_archs := armhf ppc64el s390x

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

# http://ccache.samba.org/manual.html#_precompiled_headers
CCACHE_SLOPPINESS=time_macros

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/abiversion.h )
NUX_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+NUX_ABIVERSION[[:space:]]+//p' /usr/include/Nux-4.0/Nux/ABI.h )
LIBUNITY_PRIVATE := $(shell pkg-config --libs-only-L unity-protocol-private | sed -e 's/-L\(.*\)/\1/' )
SCOPES_RECOMMENDS := $(shell perl debian/scopes-recommends-generator /usr/share/unity/client-scopes.json)

cmake_options := -DCOMPIZ_BUILD_WITH_RPATH=FALSE \
                 -DCOMPIZ_PACKAGING_ENABLED=TRUE \
                 -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
  cmake_options += -DBUILD_GLES=TRUE -DDISABLE_MAINTAINER_CXXFLAGS=ON
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(ignore_warnings_archs)))
  cmake_options += -DDISABLE_MAINTAINER_CXXFLAGS=ON
endif

override_dh_auto_configure:
	dh_auto_configure -- $(cmake_options)

override_dh_install:
	# install autopilot tests
	cd tests/autopilot; \
	set -ex; for python in $(shell pyversions -r); do \
        $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done; \
	cd $(CURDIR)
	find debian/tmp/usr/lib -name \*.*a -exec rm {} \;
	rm -rf debian/tmp/usr/share/gconf/schemas
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION) -Vnuxabiversion=$(NUX_ABIVERSION) -Vunity-default-masterscopes="$(SCOPES_RECOMMENDS)"

override_dh_makeshlibs:
	dh_makeshlibs -plibunity-core-6.0-9 -V 'libunity-core-6.0-9 (>= 7.0.0)'

override_dh_shlibdeps:
	dh_shlibdeps -l$(LIBUNITY_PRIVATE) -O--parallel

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C obj-$(DEB_HOST_GNU_TYPE) check-headless
endif

%:
	dh $@ --with translations,quilt,python2,python3,migrations --parallel

## unity 7.5.0+19.04.20190304-0ubuntu1

=== debian/changelog ===
unity (7.5.0+19.04.20190304-0ubuntu1) disco; urgency=medium

  [ disco/unity: Failed to merge https://git.launchpad.net/unity. ]
  * Add missing includes for build w/o pch

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 04 Mar 2019 17:07:16 +0000

unity (7.5.0+19.04.20190217-0ubuntu1) disco; urgency=medium

  [ Andrea Azzarone ]
  * locksreen: cancel authentication if externally unlocked (LP:
    #1733557)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 Feb 2019 19:14:19 +0000

unity (7.5.0+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Install compiz configuration files.

  [ Khurshid Alam ]
  * Recommend nemo for unity. (LP: #1814506)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 08 Feb 2019 11:46:59 +0000

unity (7.5.0+19.04.20190103-0ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: add default settings to use gbp-buildpackage

  [ Alberts Muktupāvels ]
  * Port to Python 3. (LP: #1310794)

  [ Dmitry Shachnev ]
  * Use std::get instead of std::tr1::get for std::tuple.
  * Build-depend on yaru-theme-icon to fix the test failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Jan 2019 18:07:42 +0000

<<<<<<<
=======

unity (7.5.0+18.10.20180926.2-0ubuntu2) UNRELEASED; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: add default settings to use gbp-buildpackage
  * debian: use native source format

  [ Aleksey Tulinov ]
  * Add missing includes for build w/o pch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 04 Nov 2018 20:26:08 -0600

>>>>>>>

unity (7.5.0+18.10.20180926.2-0ubuntu1) cosmic; urgency=medium

  [ Alexander Hale ]
  * Update the Free Software Foundation address in license headers

  [ Marco Trevisan (Treviño) ]
  * Favorite migrations: add nautilus-home and nautilus-folder-handler

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 26 Sep 2018 10:29:04 +0000

unity (7.5.0+18.10.20180827-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Aug 2018 12:50:33 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libbamf3-dev (>= 0.5.3~bzr0),
                libboost-dev,
                libcairo2-dev,
-               libcompizconfig0-dev,
+               libcompizconfig0-dev (>= 1:0.9.13.1+19.04.20190208-0ubuntu1),
                libdbus-1-dev,
                libdbusmenu-glib-dev (>= 0.3.91),
                libdee-dev (>= 1.2.6),
@@ -50,13 +50,13 @@
                libxtst-dev,
                libzeitgeist-2.0-dev,
                pkg-config,
-               python (>= 2.7),
-               python3 (>= 3.4),
-               python-setuptools,
+               python3-all (>= 3.4),
+               python3-setuptools,
                quilt,
                systemd,
                xserver-xorg-video-dummy,
                xsltproc,
+               yaru-theme-icon,
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/unity
 # If you aren't a member of ~unity-team but need to upload packaging changes,
@@ -88,6 +88,7 @@
 Recommends: unity-control-center,
             ${unity-default-masterscopes}
             nautilus,
+            nemo,
             gnome-disk-utility,
             hud,
             session-shortcuts,
@@ -97,6 +98,8 @@
         unity-lens-music (<< 6.0.0),
         unity-lens-video (<< 0.3.6-0ubuntu2),
         ubuntu-session (<< 3.24.1-0ubuntu3~),
+        compiz-gnome (<< 1:0.9.13.1+19.04.20190208-0ubuntu1~),
+Replaces: compiz-gnome (<< 1:0.9.13.1+19.04.20190208-0ubuntu1~),
 Description: Interface designed for efficiency of space and interaction.
  Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
  community, Unity is all about the combination of familiarity and the future. We
@@ -194,19 +197,19 @@
 Section: python
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         autopilot-desktop-legacy,
-         python-windowmocker,
+         ${python3:Depends},
+         autopilot-desktop,
+         python3-windowmocker,
          gir1.2-appindicator3-0.1,
          gir1.2-dee-1.0,
          gir1.2-glib-2.0,
          gir1.2-ibus-1.0,
          gir1.2-unity-5.0,
-         python-compizconfig,
-         python-dbus,
-         python-testtools,
-         python-xdg,
-         python-xlib,
+         python3-compizconfig,
+         python3-dbus,
+         python3-testtools,
+         python3-xdg,
+         python3-xlib,
          libxpathselect1.4v5 (>= 1.4),
          mesa-utils,
 Description: Autopiloted tests for Unity

## unity 7.5.0+19.10.20190924-0ubuntu1

=== CMakeLists.txt ===
project (unity)
cmake_minimum_required(VERSION 2.8.9)

include (cmake/Documentation.cmake)
include (cmake/pch.cmake)
include (GNUInstallDirs)

#
# Base bits
#
set (PROJECT_NAME "unity")
set (UNITY_MAJOR 7)
set (UNITY_MINOR 5)
set (UNITY_MICRO 0)
set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
set (UNITY_API_VERSION "6.0")
set (UNITY_COMPONENTS_VERSION "6")

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGNOME_DESKTOP_USE_UNSTABLE_API -std=c++11 -fno-permissive")
set (CMAKE_CXX_FLAGS_DEBUG "-g3 -DUNITY_DEBUG_BUILD")
set (CMAKE_CXX_FLAGS_RELEASE "")

option(
  ENABLE_X_SUPPORT
  "Enable X.org support in unity"
  ON
)

option(
  ENABLE_UNIT_TESTS
  "Enable Unity Unit Tests"
  ON
)

# This is due to bug lp:668799 - qemu-arm segfaults executing msgmerge
option(
  I18N_SUPPORT
  "Enable I18N, do the .po file thing."
  ON
)

option(
  ENABLE_NETWORKAREAREGION_PLUGIN
  "Enable Unity Network Area region Plugin"
  OFF
)

if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "armv7l" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64")
  set (PIC_FLAGS "-fPIC")
endif()

if (ENABLE_X_SUPPORT)
  add_definitions(-DUSE_X11)
  message("Unity is configured with support for X.org")
else ()
  message("Unity is configured with without X.org")
  add_definitions(-DNO_X11)
endif ()

if (BUILD_GLES)
  add_definitions(-DNUX_OPENGLES_20)
  add_definitions(-DUSE_GLES)
  set (UNITY_STANDALONE_LADD "unity-core-${UNITY_API_VERSION};m;pthread;dl")
else ()
  set (UNITY_STANDALONE_LADD "unity-core-${UNITY_API_VERSION};m;pthread;dl;GL;GLU")
endif ()

if (CMAKE_BUILD_TYPE MATCHES coverage)
  set (COVERAGE_XML_FILE "${CMAKE_BINARY_DIR}/coverage.xml")
# FIXME: Read below
#  set (COVERAGE_INFO_FILE "${CMAKE_BINARY_DIR}/coverage-html.info")
#  set (COVERAGE_HTML_DIR "${CMAKE_BINARY_DIR}/coverage-html")

  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
  set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
  set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )

  find_program(GCOVR_EXECUTABLE gcovr HINTS ${GCOVR_ROOT} "${GCOVR_ROOT}/bin")
  if (NOT GCOVR_EXECUTABLE)
      message(FATAL_ERROR "Cannot enable coverage targets because gcovr was not found.")
  else ()
      message (STATUS "Enabling XML coverage report")
      add_custom_target (coverage-xml
          COMMAND  "${GCOVR_EXECUTABLE}" --exclude="tests.*" --exclude="obj-.*" -x -r "${CMAKE_SOURCE_DIR}" -o "${COVERAGE_XML_FILE}")
  endif()

# FIXME: This got commented out, as it forces a strict dependency on lcov
#  find_program(LCOV_EXECUTABLE lcov HINTS ${LCOV_ROOT} "${LCOV_ROOT}/bin")
#  find_program(GENHTML_EXECUTABLE genhtml HINTS ${GENHTML_ROOT} "${GENHTML_ROOT}/bin")
#  if (NOT LCOV_EXECUTABLE)
#      message(FATAL_ERROR "Cannot enable coverage targets because gcovr was not found.")
#  elseif (NOT GENHTML_EXECUTABLE)
#      message(FATAL_ERROR "Cannot enable coverage targets because genhtml was not found.")
#  else ()
#      message (STATUS "Enabling HTML coverage report")
#      add_custom_target (coverage-html
#          COMMAND "${LCOV_EXECUTABLE}" --directory "${CMAKE_BINARY_DIR}" --capture --output-file "${COVERAGE_INFO_FILE}"
#          COMMAND "${GENHTML_EXECUTABLE}" --output-directory "${COVERAGE_HTML_DIR}" "${COVERAGE_INFO_FILE}")
#  endif()

endif (CMAKE_BUILD_TYPE MATCHES coverage)


#
# Niceties
#
set (ARCHIVE_NAME unity-${UNITY_VERSION})

add_custom_target (pre-distcheck
  COMMAND echo ""
       && echo "• Releasing Unity ${UNITY_VERSION}"
       && cd ${CMAKE_SOURCE_DIR}
       && echo "• Generating ChangeLog"
       && bzr log --gnu-changelog > ChangeLog
       && echo "• Generating AUTHORS"
       && bzr log --long --levels=0 | grep -e "^\\s*author:" | cut -d ":" -f 2 | sed "s/,/\n/g" | sed -r -f AUTHOR-glue | sort -u | uniq -i > AUTHORS
       && echo "• Running Distcheck"
  )

add_custom_target (dist
  COMMAND echo "• Creating Tarball"
       && bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
       && echo "• Signing Tarball"
       && gpg --armor --sign --detach-sig ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
add_dependencies(dist pre-distcheck)

add_custom_target (distcheck
  COMMAND cd ${CMAKE_BINARY_DIR}
       && rm -rf ${ARCHIVE_NAME}
       && tar xf ${ARCHIVE_NAME}.tar.bz2
       && mkdir ${ARCHIVE_NAME}/build
       && cd ${ARCHIVE_NAME}/build
       && cmake -DCMAKE_INSTALL_PREFIX=../install -DGSETTINGS_LOCALINSTALL=ON .. -DCMAKE_MODULE_PATH=/usr/share/cmake
       && make
       && make install
       && make check-headless
  )
add_dependencies(distcheck dist)

add_custom_target (post-distcheck
  COMMAND echo "• Committing Release"
       && bzr commit -m\"Release ${UNITY_VERSION}\" --unchanged
       && echo "• Tagging Release"
       && bzr tag ${UNITY_VERSION}
       && echo "• Unity ${UNITY_VERSION} is ready for release."
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
add_dependencies(post-distcheck distcheck)

add_custom_target (release)
add_dependencies (release distcheck)

#
# config.h
#
set (VERSION "${UNITY_VERSION}")
set (PREFIXPATH "${CMAKE_INSTALL_PREFIX}")
set (UNITY_LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}")
set (UNITY_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
set (UNITY_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}")
set (PKGDATADIR "${UNITY_DATADIR}/icons")
set (SOURCEDATADIR "${CMAKE_CURRENT_SOURCE_DIR}/resources")
set (BUILDDIR "${CMAKE_BINARY_DIR}")
set (TESTDATADIR "${CMAKE_CURRENT_SOURCE_DIR}/tests/data")
set (LOCALE_DIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
# specify the domain directly rather than refering to a variable
# like ${PROJECT_NAME} to no confuse dh_translations
set (GETTEXT_PACKAGE "unity")

find_package (PkgConfig)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gtk+-3.0 --variable prefix OUTPUT_VARIABLE GTK_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} unity --variable lensesdir OUTPUT_VARIABLE LENSES_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable indicatordir OUTPUT_VARIABLE INDICATORDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable iconsdir OUTPUT_VARIABLE INDICATORICONDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable prefix OUTPUT_VARIABLE INDICATORPREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
set (INDICATOR_SERVICE_DIR "${INDICATORPREFIX}/share/${PROJECT_NAME}/indicators")

configure_file (${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

#
# i18n
#
find_package (Gettext REQUIRED)

set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

add_custom_command (OUTPUT ${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot
		COMMAND xgettext -c --from-code=UTF-8 --files-from ${CMAKE_SOURCE_DIR}/po/POTFILES.in --keyword=_ -o ${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot --copyright-holder="Canonical Ltd" --msgid-bugs-address="ayatana-dev@lists.launchpad.net" --no-wrap --no-location
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		)

if (I18N_SUPPORT)
if (GETTEXT_FOUND)
        set (HAVE_GETTEXT true)
        file (GLOB _translations ${CMAKE_SOURCE_DIR}/po/*.po)
        GETTEXT_CREATE_TRANSLATIONS (${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot
                ALL ${_translations})
endif (GETTEXT_FOUND)
endif()

#
# Enable or disable boot logging
#
option (BOOT_LOGGER "Enable startup performance logging" OFF)
if (BOOT_LOGGER)
    SET (BOOT_LOGGER_FLAG "-DENABLE_LOGGER")
endif (BOOT_LOGGER)

SET (MAINTAINER_CXXFLAGS "-Wall -Wcast-align -Wempty-body -Wformat-security -Winit-self -Warray-bounds -Wno-error=deprecated-declarations")

option (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS "Disable errors when local typedefs are unused" ON)
if (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS)
  SET (MAINTAINER_CXXFLAGS "${MAINTAINER_CXXFLAGS} -Wno-error=unused-local-typedefs")
endif (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS)

option (DISABLE_MAINTAINER_CXXFLAGS "Disable maintainer CXXFlags" OFF)
if (DISABLE_MAINTAINER_CXXFLAGS)
  SET (MAINTAINER_CXXFLAGS "")
endif (DISABLE_MAINTAINER_CXXFLAGS)

# Make sure these flags are used for every build.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${MAINTAINER_CXXFLAGS}")

#
# Compiz Plugins
#
set(UNITY_PROTOCOL_PRIVATE_DEPS unity-protocol-private>=7.1.0)
set(UNITY_PLUGIN_SHARED_DEPS
    ${UNITY_PROTOCOL_PRIVATE_DEPS}
    appstream-glib
    atk
    atk-bridge-2.0
    cairo>=1.13.1
    dbusmenu-glib-0.4
    dee-1.0
    gio-2.0>=2.30.0
    gio-unix-2.0
    gmodule-2.0
    gthread-2.0
    gtk+-3.0>=3.1
    indicator3-0.4>=0.4.90
    json-glib-1.0
    libbamf3>=0.5.3
    gnome-desktop-3.0
    libnotify
    libstartup-notification-1.0
    nux-4.0>=4.0.5
    sigc++-2.0>=2.4.0
    unity-misc>=0.4.0
    xpathselect=1.4
    zeitgeist-2.0
)

set(UNITY_PLUGIN_DEPS ${UNITY_PLUGIN_SHARED_DEPS})

if(ENABLE_X_SUPPORT)
  set(UNITY_PLUGIN_DEPS
      ${UNITY_PLUGIN_DEPS}
      compiz>=0.9.11
      libgeis
      x11
      xfixes
      xi>=1.6.99.1
      xrender>=0.9
  )
endif ()

pkg_check_modules (CACHED_UNITY_DEPS REQUIRED ${UNITY_PLUGIN_DEPS})
pkg_check_modules (CACHED_UNITY_PRIVATE_DEPS REQUIRED ${UNITY_PROTOCOL_PRIVATE_DEPS})
find_library (UNITY_PROTOCOL_PRIVATE_LIB unity-protocol-private ${CACHED_UNITY_PRIVATE_DEPS_LIBDIR} ${CACHED_UNITY_PRIVATE_DEPS_LIBRARY_DIRS})
set(UNITY_STANDALONE_LADD ${UNITY_STANDALONE_LADD} ${UNITY_PROTOCOL_PRIVATE_LIB})

add_subdirectory(a11y)
add_subdirectory(unity-shared)
add_subdirectory(dash)
add_subdirectory(launcher)
add_subdirectory(data)

if (ENABLE_X_SUPPORT)
  add_subdirectory(hud)
  add_subdirectory(lockscreen)
  add_subdirectory(panel)
  add_subdirectory(decorations)
  add_subdirectory(plugins/unityshell)
  add_subdirectory(plugins/unity-mt-grab-handles)
  add_subdirectory(shortcuts)
  add_subdirectory(shutdown)
  add_subdirectory(unity-standalone)

  if (ENABLE_NETWORKAREAREGION_PLUGIN)
    add_subdirectory(plugins/networkarearegion)
  endif (ENABLE_NETWORKAREAREGION_PLUGIN)

endif ()

add_subdirectory(doc)
add_subdirectory(services)
add_subdirectory(tools)
add_subdirectory(UnityCore)
add_subdirectory(guides)
add_subdirectory(gnome)

if (ENABLE_UNIT_TESTS)
  add_subdirectory(tests)
else (ENABLE_UNIT_TESTS)
  set (MISSING_TESTS_MSG "-- Tests disabled, compile with -DENABLE_UNIT_TESTS=ON")
  add_custom_target (check COMMAND echo ${MISSING_TESTS_MSG})
  add_custom_target (check-headless COMMAND echo ${MISSING_TESTS_MSG})
  add_custom_target (gcheck COMMAND echo ${MISSING_TESTS_MSG})
endif (ENABLE_UNIT_TESTS)

# Resources
install (FILES resources/dash-widgets.json DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/themes)
file (GLOB _datafiles "${CMAKE_CURRENT_SOURCE_DIR}/resources/*")
install (FILES ${_datafiles} DESTINATION ${PKGDATADIR})

#
# docs
#

# check if doxygen is even installed
find_package(Doxygen)
if (DOXYGEN_FOUND STREQUAL "NO")
  message("Doxygen not found. Documentation will not be built")
endif (DOXYGEN_FOUND STREQUAL "NO")

if (DOXYGEN_FOUND STREQUAL "YES")
  set(TOP_SRCDIR ${CMAKE_CURRENT_SOURCE_DIR})

  # prepare doxygen configuration file
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  # add doxygen as target
  add_custom_target(doxygen ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  # cleanup $build/api-doc on "make clean"
  set_property(DIRECTORY APPEND PROPERTY
         ADDITIONAL_MAKE_CLEAN_FILES api-doc)

endif (DOXYGEN_FOUND STREQUAL "YES")

=== debian/changelog ===
unity (7.5.0+19.10.20190924-0ubuntu1) eoan; urgency=medium

  [ Khurshid Alam ]
  * Port media keys to use com.canonical.unity.settings-daemon. LP:
    #1842324 (LP: #1842324)

  [ Tasos Sahanidis ]
  * Fix gcc 7.2 build errors

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 24 Sep 2019 09:46:52 +0000

unity (7.5.0+19.04.20190827-0ubuntu1) eoan; urgency=medium

  * Disable Werror. It doesn't make sense to fail on compiler warnings for the
    distro.
  * Rebuild against libgnome-desktop-3-18

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 27 Aug 2019 11:10:00 +0100

## unity 7.5.0+20.04.20200312-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -245,6 +245,7 @@
     json-glib-1.0
     libbamf3>=0.5.3
     gnome-desktop-3.0
+    libunity-settings-daemon
     libnotify
     libstartup-notification-1.0
     nux-4.0>=4.0.5

=== guides/CMakeLists.txt ===
PROJECT(guides)

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cppguide.html
    COMMAND xsltproc -o ${CMAKE_CURRENT_BINARY_DIR}/cppguide.html ${CMAKE_CURRENT_SOURCE_DIR}/styleguide.xsl ${CMAKE_CURRENT_SOURCE_DIR}/cppguide.xml
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/styleguide.xsl ${CMAKE_CURRENT_SOURCE_DIR}/cppguide.xml
    )

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/styleguide.css
    COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/styleguide.css ${CMAKE_CURRENT_BINARY_DIR}/styleguide.css
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/styleguide.css
    )

ADD_CUSTOM_TARGET(guides ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/cppguide.html
          ${CMAKE_CURRENT_BINARY_DIR}/styleguide.css)

=== dash/previews/CMakeLists.txt ===
set(UNITY_SRC ../plugins/unityshell/src)

set (CFLAGS
     ${CACHED_UNITY_DEPS_CFLAGS}
     ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
     ${PIC_FLAGS}
     )

string (REPLACE ";" " " CFLAGS "${CFLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CFLAGS}")

set (LIBS ${CACHED_UNITY_DEPS_LDFLAGS} ${UNITY_STANDALONE_LADD})

include_directories (.. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR})

#
# Headers & Sources
#
set (PREVIEWS_SOURCES
     ActionButton.cpp
     ActionLink.cpp
     ApplicationPreview.cpp
     GenericPreview.cpp
     MusicPreview.cpp
     MoviePreview.cpp
     PaymentPreview.cpp
     Preview.cpp
     PreviewContainer.cpp
     PreviewInfoHintWidget.cpp
     PreviewNavigator.cpp
     PreviewRatingsWidget.cpp
     SocialPreview.cpp
     SocialPreviewContent.cpp
     SocialPreviewComments.cpp
     TabIterator.cpp
     Track.cpp
     Tracks.cpp
     MusicPaymentPreview.cpp
     ErrorPreview.cpp
     )

add_library (previews-lib STATIC ${PREVIEWS_SOURCES})
add_dependencies (previews-lib unity-core-${UNITY_API_VERSION} unity-shared)
target_link_libraries (previews-lib unity-shared)
add_pch(pch/previews_pch.hh previews-lib)

#
# Application Standalone variant
#
add_executable (app_previews StandaloneApplicationPreview.cpp)
target_link_libraries (app_previews previews-lib unity-shared unity-shared-standalone)

#
# Music Standalone variant
#
add_executable (music_previews StandaloneMusicPreview.cpp)
target_link_libraries (music_previews previews-lib unity-shared unity-shared-standalone)

#
# Social Standalone variant
#
add_executable (social_previews StandaloneSocialPreview.cpp)
target_link_libraries (social_previews previews-lib unity-shared unity-shared-standalone)

#
# Movie Standalone variant
#
add_executable (movie_previews StandaloneMoviePreview.cpp)
target_link_libraries (movie_previews previews-lib unity-shared unity-shared-standalone)

#
# Payment Standalone variant
#
add_executable (payment_previews StandaloneMusicPaymentPreview.cpp)
add_dependencies (payment_previews previews-lib)
target_link_libraries (payment_previews previews-lib unity-shared unity-shared-standalone)

#
# Error Standalone variant
#
add_executable (error_previews StandaloneErrorPreview.cpp)
add_dependencies (error_previews previews-lib)
target_link_libraries (error_previews previews-lib unity-shared unity-shared-standalone)

=== debian/changelog ===
unity (7.5.0+20.04.20200312-0ubuntu1) focal; urgency=medium

  [ Khurshid Alam ]
  * Bump dependency of unity-settings-daemon & unity-settings-daemon-
    schemas

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 10:58:27 +0000

unity (7.5.0+20.04.20200211-0ubuntu2) focal; urgency=medium

  [ Khurshid Alam ]
  * Drop libgnome-desktop for background drawing.
    Use libunity-settings-daemon instead. LP: #1863584

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 21:28:09 +0100

unity (7.5.0+20.04.20200211-0ubuntu1) focal; urgency=medium

  [ Rik Mills ]
  * unity-autopilot: Remove python3-windowmocker dependency. Permits
    removal of window-mocker source, as part of Qt4 removal.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 14:07:56 +0000

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 override_dh_install:
 	# install autopilot tests
 	cd tests/autopilot; \
-	set -ex; for python in $(shell pyversions -r); do \
+	set -ex; for python in $(shell py3versions -r); do \
         $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done; \
 	cd $(CURDIR)
@@ -59,4 +59,4 @@
 endif
 
 %:
-	dh $@ --with translations,quilt,python2,python3,migrations --parallel
+	dh $@ --with translations,quilt,python3,migrations --parallel

## unity 7.5.1+20.04.20211026.1-0ubuntu1

=== services/CMakeLists.txt ===
#
# Panel Service
#

set(UNITY_PANEL_SERVICE_DEPS
    atk
    atk-bridge-2.0
    gio-2.0>=2.30.0
    gobject-2.0
    gthread-2.0
    gtk+-3.0>=3.3
    indicator3-0.4>=12.10.2
    x11
    libido3-0.1>=13.0.0
)

pkg_check_modules(SERVICE_DEPS REQUIRED ${UNITY_PANEL_SERVICE_DEPS})

set(PANEL_SOURCES
    panel-a11y.c
    panel-a11y.h
    panel-indicator-accessible.c
    panel-indicator-accessible.h
    panel-indicator-entry-accessible.c
    panel-indicator-entry-accessible.h
    panel-main.c
    panel-root-accessible.c
    panel-root-accessible.h
    panel-service.c
    panel-service.h
    panel-util-accessible.c
    panel-util-accessible.h)

set(CFLAGS
    ${SERVICE_DEPS_CFLAGS}
    ${SERVICE_DEPS_CFLAGS_OTHER}
    "-Wall -Wno-error=deprecated-declarations"
    )

string (REPLACE ";" " " CFLAGS "${CFLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CFLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CFLAGS}")

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

set(LIBS ${SERVICE_DEPS_LIBRARIES})

set(LIB_PATHS ${SERVICE_DEPS_LIBRARY_DIRS})
link_directories(${LIB_PATHS})

add_executable(unity-panel-service ${PANEL_SOURCES})
target_link_libraries(unity-panel-service ${LIBS})
install(TARGETS unity-panel-service DESTINATION ${UNITY_INSTALL_LIBDIR})

configure_file(unity-panel-service.conf.in ${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service.conf)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/upstart/sessions)

configure_file(unity-panel-service-lockscreen.conf.in ${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service-lockscreen.conf)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service-lockscreen.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/upstart/sessions)

##
##  Systemd Unit Files
##

# where to install
# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

configure_file (unity-panel-service.service.in "${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service.service")
configure_file (unity-panel-service-lockscreen.service.in "${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service-lockscreen.service")

install( FILES
         "${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service.service"
         "${CMAKE_CURRENT_BINARY_DIR}/unity-panel-service-lockscreen.service"
         "${CMAKE_CURRENT_SOURCE_DIR}/unity-screen-locked.target"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  Upstart systemd override Job File
##

set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")

install (FILES 
		 unity-panel-service.override
		 unity-panel-service-lockscreen.override
         DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")

=== data/pam/CMakeLists.txt ===
install(FILES unity DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/pam.d)

=== debian/changelog ===
unity (7.5.1+20.04.20211026.1-0ubuntu1) focal; urgency=medium

  [ Uladzislau Nikalayevich ]
  * DecoratedWindow: Do not try to use shaped shadows on empty quads.
    Windows may have no shaped rectangles, but we're still trying to set
    them. This is because we might not initialize the shape size, leading
    to invalid values. (LP: #1904337)

  [ Marco Trevisan (Treviño) ]
  * DecorationsShape: Initialize parameters on missing rectangles.
    In such case the shape should just be empty, but we didn't really handle
    the case properly. (LP: #1904337)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 26 Oct 2021 12:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
                libgl1-mesa-dri,
                libglib2.0-dev (>= 2.39.1),
                libgnome-desktop-3-dev,
+               libunity-settings-daemon-dev,
+               unity-settings-daemon-dev (>= 15.04.1+19.10.20190921-0ubuntu3),
                libgtest-dev,
                libgtk-3-dev (>= 3.1),
                libido3-0.1-dev (>= 13.10.0),
@@ -75,6 +77,7 @@
          libnux-abiversion-${nuxabiversion},
          compiz-plugins-default,
          gsettings-ubuntu-schemas (>= 0.0.7+17.10.20170922),
+         unity-settings-daemon-schemas (>= 15.04.1+19.10.20190921-0ubuntu3),
          libglib2.0-bin,
          nux-tools,
          python3-gi,
@@ -199,7 +202,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          autopilot-desktop,
-         python3-windowmocker,
          gir1.2-appindicator3-0.1,
          gir1.2-dee-1.0,
          gir1.2-glib-2.0,

## unity 7.5.1+21.10.20210601.1-0ubuntu1

=== debian/changelog ===
unity (7.5.1+21.10.20210601.1-0ubuntu1) impish; urgency=medium

  * New upstream release
  * IntrospectionData: Keep Get() const as it should be.
    The builder is now invalid but unreffing will happne in the destructor
  * ResultRendererTile: Use proper casting to GdkPixbuf for drag icon
  * CompizUtils: Add missing iostream include
  * FileManager: Support timestamps and parent windows and implement for GNOME.
    Finally implement org.gnome.Nautilus.FileOperations2 so we can get rid
    of using our ubuntu patch in nautilus https://trello.com/c/ZVKL0Loz
  * ApplicationManager: Add ability to get window properties.
    A simple way to get properties through bamf, so that we don't have
    to compute the atom ourselves.
  * ApplicationManager: Add function to find a window by an (unique) property.
    This is relevant for unique property values, otherwise we'd just return
    the firs window matching it.
  * GnomeFileManager: Use upstream OpenWindowsWithLocations.
    Find nautilus application windows by their unique GTK window object path
    using the application manager, in this way we can drop the support to
    the ubuntu-only XUbuntuOpenLocationsXids property.
    As per this, recommends an higher version of nautilus.
  * VolumeLauncherIcons: Hide shadowed mounts
  * TestSoftwareCenterLauncherIcon: Expose proper virtual function.
    Compiler seems to be confused by using a base class implementation,
    so let's just point to the class one and leave it figure out which
    implementation to use at runtime.
  * TestGtkIconInfo: Ignore icons that gtk can't find.
    We still ensure that we've tested various, so the test is still valid
  * TestResultRenderer: Use a freedesktop icon for the test.
    So we can be sure that a theme will provide it
  * tests/dummy-xorg-test-runner.sh: Do not delete log files on failure
  * LauncherController: Move GetLastIconPriority into a private impl header.
    Being a template it must be defined for all its customers, so expose it
    to the test.
    Fixes linking issue on s390x.
  * tests/test_text_input: Initialize previews style

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 01 Jun 2021 19:58:38 +0000
